<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type ="text/css" href="styleExo4.css">
    <title>Exo 4</title>
</head>
<body>
    <div id="container">
        <div class="box"></div>


    <script>

        const container = document.querySelector("#container");
        const box = document.createElement("div");
        box.classList.add("box");

        document.addEventListener("keydown", function(event) {

            if (event.key === "ArrowUp") {
                const lastBox = container.lastChild;
                container.removeChild(lastBox);
            }
            else{
                const newBox = box.cloneNode();
                container.appendChild(newBox);
                newBox.style.backgroundColor = getRandomColor();
            }
           
        });

        function getRandomColor() {
            const letters = "0123456789ABCDEF";
            let color = "#";
            for (let i = 0; i < 6; i++) {
            color += letters[Math.floor(Math.random() * 16)];
            }
            return color;
        }

    </script>
</body>
</html>